OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
PTKernel
DBC

# DBC_VArrayOfInteger Class Reference

`#include <DBC_VArrayOfInteger.hxx>`

Inheritance diagram for DBC_VArrayOfInteger:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | DBC_VArrayOfInteger ()
Standard_EXPORT | DBC_VArrayOfInteger (const Standard_Integer Size)
Standard_EXPORT | DBC_VArrayOfInteger (const DBC_VArrayOfInteger &Varray)
Standard_EXPORT void | Resize (const Standard_Integer Size)
Standard_EXPORT void | Assign (const DBC_VArrayOfInteger &Other)
void | operator= (const DBC_VArrayOfInteger &Other)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Standard_Integer &Value)
Standard_EXPORT Standard_Integer & | Value (const Standard_Integer Index) const
Standard_Integer & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Destroy ()
| ~DBC_VArrayOfInteger ()
## Friends
Standard_EXPORT friend Handle_Standard_Type & | DBC_VArrayOfInteger_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT DBC_VArrayOfInteger::DBC_VArrayOfInteger | ( |  | ) |

Standard_EXPORT DBC_VArrayOfInteger::DBC_VArrayOfInteger | ( | const Standard_Integer | Size | ) |

Standard_EXPORT DBC_VArrayOfInteger::DBC_VArrayOfInteger | ( | const DBC_VArrayOfInteger & | Varray | ) |

DBC_VArrayOfInteger::~DBC_VArrayOfInteger | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void DBC_VArrayOfInteger::Assign | ( | const DBC_VArrayOfInteger & | Other | ) |

Standard_EXPORT void DBC_VArrayOfInteger::Destroy | ( |  | ) |

| Reimplemented from DBC_BaseArray.

void DBC_VArrayOfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* DBC_VArrayOfInteger::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* DBC_VArrayOfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from DBC_BaseArray.

Standard_Integer& DBC_VArrayOfInteger::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void DBC_VArrayOfInteger::operator= | ( | const DBC_VArrayOfInteger & | Other | ) | `[inline]`

Standard_EXPORT void DBC_VArrayOfInteger::Resize | ( | const Standard_Integer | Size | ) |

Standard_EXPORT void DBC_VArrayOfInteger::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_Integer & | Value
| ) |

Standard_EXPORT Standard_Integer& DBC_VArrayOfInteger::Value | ( | const Standard_Integer | Index | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& DBC_VArrayOfInteger_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- DBC_VArrayOfInteger.hxx